Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.graphic.event
Interface PEMouseInputListener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  MouseTool, PEDrawingBoard.StatusBar, PEEventMulticaster, PEMouseInputAdapter

public interface PEMouseInputListener
extends EventListener

The listener for receiving mouse and mouse motion events. In comparison with `javax.swing.event.MouseInputListener`, the benefit of using this listener is that MouseEvent's are translated into PEMouseEvent's, and the latter contain enhanced data e.g. model-coordinates in addition to usual screen-coordinates.

Since:
  jpicedt 1.3.2
Version:
  $Id: PEMouseInputListener.java,v 1.5.2.1 2007/09/02 11:56:18 reynal Exp $
Author:
  Sylvain Reynal
See Also:
  `PEMouseEvent`

Method Summary
`void` | `mouseClicked(PEMouseEvent e)` Invoked when the mouse button has been clicked (pressed and released) on a component.
`void` | `mouseDragged(PEMouseEvent e)` Invoked when a mouse button is pressed on a component and then dragged.
`void` | `mouseEntered(PEMouseEvent e)` Invoked when the mouse enters a component.
`void` | `mouseExited(PEMouseEvent e)` nvoked when the mouse exits a component.
`void` | `mouseMoved(PEMouseEvent e)` Invoked when the mouse button has been moved on a component (with no buttons down).
`void` | `mousePressed(PEMouseEvent e)` Invoked when a mouse button has been pressed on a component.
`void` | `mouseReleased(PEMouseEvent e)` Invoked when a mouse button has been released on a component.

Method Detail

### mousePressed

    public void mousePressed(PEMouseEvent e)

  Invoked when a mouse button has been pressed on a component.

### mouseReleased

    public void mouseReleased(PEMouseEvent e)

  Invoked when a mouse button has been released on a component.

### mouseClicked

    public void mouseClicked(PEMouseEvent e)

  Invoked when the mouse button has been clicked (pressed and released) on a component.

### mouseMoved

    public void mouseMoved(PEMouseEvent e)

  Invoked when the mouse button has been moved on a component (with no buttons down).

### mouseDragged

    public void mouseDragged(PEMouseEvent e)

  Invoked when a mouse button is pressed on a component and then dragged.

### mouseEntered

    public void mouseEntered(PEMouseEvent e)

  Invoked when the mouse enters a component.

### mouseExited

    public void mouseExited(PEMouseEvent e)

  nvoked when the mouse exits a component.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org